# $Header: /cvs/stx/stx/libwidg/Make.spec,v 1.1 2003-11-21 19:36:13 cg Exp $
#
# -------------- no need to change anything below ----------

MODULE=stx
MODULE_DIR=libwidg
LIBNAME=libwidg
PACKAGE=$(MODULE):$(LIBNAME)
THIS_IS_A_BASE_LIBRARY="yes"

#
# pure interactors are definitely uncritical
#
UNCRITICALOBJS=                            \
	    $(OUTDIR)Button.$(O)                    \
	    $(OUTDIR)ButtonController.$(O)          \
	    $(OUTDIR)Toggle.$(O)                    \
	    $(OUTDIR)ToggleController.$(O)          \
	    $(OUTDIR)RadioButton.$(O)               \
	    $(OUTDIR)RadioButtController.$(O)       \
	    $(OUTDIR)RadioButtGroup.$(O)            \
	    $(OUTDIR)CheckToggle.$(O)               \
	    $(OUTDIR)CheckLabel.$(O)                \
	    $(OUTDIR)ScrollBar.$(O)                 \
	    $(OUTDIR)HorizontalScrollBar.$(O)       \
	    $(OUTDIR)MiniScroller.$(O)              \
	    $(OUTDIR)HorizontalMiniScroller.$(O)    \
	    $(OUTDIR)DialogBox.$(O)                 \
	    $(OUTDIR)OptionBox.$(O)                 \
	    $(OUTDIR)EnterBox.$(O)                  \
	    $(OUTDIR)EnterBox2.$(O)                 \
	    $(OUTDIR)ListSelectionBox.$(O)          \
	    $(OUTDIR)FileSelelectionBox.$(O)        \
	    $(OUTDIR)FileSaveBox.$(O)               \
	    $(OUTDIR)InfoBox.$(O)                   \
	    $(OUTDIR)WarningBox.$(O)                \
	    $(OUTDIR)YesNoBox.$(O)                  \
	    $(OUTDIR)MultiSelectionInList.$(O)      \
	    $(OUTDIR)FramedBox.$(O)                 \
	    $(OUTDIR)Workspace.$(O)                 \
	    $(OUTDIR)VariablePanelController.$(O)   \
	    $(OUTDIR)VariableVerticalPanelController.$(O)   \
	    $(OUTDIR)VariableHorizontalPanelController.$(O) \
	    $(OUTDIR)PopUpListController.$(O)       \
	    $(OUTDIR)FontPanel.$(O)

OBJS=                                      \
	    $(OUTDIR)ListView.$(O)                  \
	    $(OUTDIR)PanelView.$(O)                 \
	    $(OUTDIR)ScrollableView.$(O)            \
	      $(OUTDIR)HVScrollableView.$(O)        \
	      $(OUTDIR)SequenceView.$(O)            \
	    $(OUTDIR)Label.$(O)                     \
	    $(OUTDIR)Scroller.$(O)                  \
	      $(OUTDIR)MiniScroller.$(O)            \
	    $(OUTDIR)ScrollBar.$(O)                 \
	    $(OUTDIR)ObjectView.$(O)                \
	    $(OUTDIR)PopUpMenu.$(O)                 \
	      $(OUTDIR)DialogBox.$(O)               \
		$(OUTDIR)InfoBox.$(O)               \
	      $(OUTDIR)TextView.$(O)                \
	      $(OUTDIR)SelectionInListView.$(O)     \
	      $(OUTDIR)HorizontalPanelView.$(O)     \
	      $(OUTDIR)VerticalPanelView.$(O)       \
	      $(OUTDIR)VariablePanel.$(O)           \
		$(OUTDIR)VariableVerticalPanel.$(O) \
		  $(OUTDIR)VariableHorizontalPanel.$(O) \
	      $(OUTDIR)Button.$(O)                  \
		$(OUTDIR)ArrowButton.$(O)           \
	      $(OUTDIR)HorizontalScroller.$(O)      \
		$(OUTDIR)HorizontalMiniScroller.$(O)\
	      $(OUTDIR)HorizontalScrollBar.$(O)     \
	      $(OUTDIR)EnterBox.$(O)                \
		$(OUTDIR)WarningBox.$(O)            \
		$(OUTDIR)YesNoBox.$(O)              \
		$(OUTDIR)MenuView.$(O)              \
		$(OUTDIR)FileSelectionList.$(O)     \
		$(OUTDIR)EditTextView.$(O)          \
		$(OUTDIR)Toggle.$(O)                \
		$(OUTDIR)ListSelectionBox.$(O)      \
		$(OUTDIR)EnterBox2.$(O)             \
		  $(OUTDIR)EditField.$(O)           \
		  $(OUTDIR)TextCollector.$(O)       \
		    $(OUTDIR)Workspace.$(O)         \
		      $(OUTDIR)CodeView.$(O)        \
	    $(OUTDIR)FileSelectionBox.$(O)          \
	    $(OUTDIR)PullDownMenu.$(O)              \
	    $(OUTDIR)OptionBox.$(O)                 \
	    $(OUTDIR)CheckToggle.$(O)               \
	    $(OUTDIR)CheckLabel.$(O)                \
	    $(OUTDIR)FileSaveBox.$(O)               \
	    $(OUTDIR)ButtonController.$(O)          \
	      $(OUTDIR)PopUpListController.$(O)     \
	    $(OUTDIR)ToggleController.$(O)          \
	      $(OUTDIR)RadioButtonController.$(O)   \
		$(OUTDIR)ClickMenuView.$(O)         \
	    $(OUTDIR)EnterFieldGroup.$(O)           \
	    $(OUTDIR)FontPanel.$(O)                 \
	    $(OUTDIR)PopUpList.$(O)                 \
	    $(OUTDIR)FramedBox.$(O)                 \
	    $(OUTDIR)RadioButtonGroup.$(O)          \
	    $(OUTDIR)RadioButton.$(O)               \
	    $(OUTDIR)VariablePanelController.$(O)   \
	      $(OUTDIR)VariableVerticalPanelController.$(O)   \
	      $(OUTDIR)VariableHorizontalPanelController.$(O) \
	    $(OUTDIR)SelectionInList.$(O)           \
	      $(OUTDIR)MultiSelectionInList.$(O)
